import { UiComponent } from "../UiComponent";
export declare class RefreshableComponentProxyHandle<T extends UiComponent = UiComponent> {
    proxy: T;
    private _component;
    constructor(originalComponent: T);
    get component(): T;
    set component(newComponent: T);
    private getElementIndex;
}
export declare function isRefreshableComponentProxyHandle(o: any): o is RefreshableComponentProxyHandle<any>;
